[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListColumns.Add

Creates and returns a new TListColumn instance for the collection.

## Declaration

Source position: comctrls.pp line 1277

`public function TListColumns.Add: TListColumn;`

## Function result

TListColumn instance created in the method.

## Description

Add is a TListColumn function used to create and return a new TListColumn instance. It calls the inherited method to create a new instance of the ItemClass for the collection, and casts it to the TListColumn type used in the return value.

At design-time, the form designer surface for Owner (TCustomListView) is notified of the change when Owner has been assigned.

## See also

TListColumns.Owner |  | Owner of the collection instance.
TCollection.Add
TCollection.ItemClass